package com.shirodemo.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.shirodemo.pojo.Role;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author 自在仙
 * @create 2020-07-25 15:30
 */
@Mapper
public interface RoleMapper extends BaseMapper<Role> {

    @Select("SELECT t_role.`name` FROM t_role,t_user_role WHERE t_role.id = t_user_role.roleid AND t_user_role.userid = #{userId}")
    List<String> findUserRoleNameListByUserId(int userId);
}
