package com.shirodemo.service;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.shirodemo.mapper.UserMapper;
import com.shirodemo.pojo.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 自在仙
 * @create 2020-07-25 15:31
 */
@Service
public class UserService {

    @Autowired
    private UserMapper userMapper;

    public User findUserByUserName(String username) {
        EntityWrapper<User> wrapper = new EntityWrapper<>();
        wrapper.eq("username", username);
        List<User> objects = userMapper.selectList(wrapper);
        if (objects != null && objects.size() > 0) {
            return objects.get(0);
        }
        return null;
    }
}