/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50549
Source Host           : localhost:3306
Source Database       : shiro_demo_perm2

Target Server Type    : MYSQL
Target Server Version : 50549
File Encoding         : 65001

Date: 2020-07-25 15:58:00
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for t_pers
-- ----------------------------
DROP TABLE IF EXISTS `t_pers`;
CREATE TABLE `t_pers` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(80) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_pers
-- ----------------------------
INSERT INTO `t_pers` VALUES ('1', '用户管理/查询用户', '/user/select');
INSERT INTO `t_pers` VALUES ('2', '用户管理/修改用户', '/user/update');
INSERT INTO `t_pers` VALUES ('3', '用户管理/删除用户', '/user/delete');
INSERT INTO `t_pers` VALUES ('4', '用户管理/添加用户', '/user/add');
INSERT INTO `t_pers` VALUES ('5', '商品管理/查询商品', '/product/select');
INSERT INTO `t_pers` VALUES ('6', '商品管理/修改商品', '/product/update');
INSERT INTO `t_pers` VALUES ('7', '商品管理/删除商品', '/product/delete');
INSERT INTO `t_pers` VALUES ('8', '商品管理/添加商品', '/product/add');
INSERT INTO `t_pers` VALUES ('9', '库存管理/查询库存', '/stock/select');
INSERT INTO `t_pers` VALUES ('10', '库存管理/修改库存', '/stock/update');
INSERT INTO `t_pers` VALUES ('11', '库存管理/删除库存', '/stock/delete');
INSERT INTO `t_pers` VALUES ('12', '库存管理/添加库存', '/stock/add');

-- ----------------------------
-- Table structure for t_role
-- ----------------------------
DROP TABLE IF EXISTS `t_role`;
CREATE TABLE `t_role` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_role
-- ----------------------------
INSERT INTO `t_role` VALUES ('2', 'userManager');
INSERT INTO `t_role` VALUES ('3', 'productManager');
INSERT INTO `t_role` VALUES ('4', 'stockManager');

-- ----------------------------
-- Table structure for t_role_perms
-- ----------------------------
DROP TABLE IF EXISTS `t_role_perms`;
CREATE TABLE `t_role_perms` (
  `id` int(6) NOT NULL,
  `roleid` int(6) DEFAULT NULL,
  `permsid` int(6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_role_perms
-- ----------------------------
INSERT INTO `t_role_perms` VALUES ('1', '2', '1');
INSERT INTO `t_role_perms` VALUES ('2', '2', '2');
INSERT INTO `t_role_perms` VALUES ('3', '2', '3');
INSERT INTO `t_role_perms` VALUES ('4', '2', '4');
INSERT INTO `t_role_perms` VALUES ('5', '3', '5');
INSERT INTO `t_role_perms` VALUES ('6', '3', '6');
INSERT INTO `t_role_perms` VALUES ('7', '3', '7');
INSERT INTO `t_role_perms` VALUES ('8', '3', '8');
INSERT INTO `t_role_perms` VALUES ('9', '4', '9');
INSERT INTO `t_role_perms` VALUES ('10', '4', '10');
INSERT INTO `t_role_perms` VALUES ('11', '4', '11');
INSERT INTO `t_role_perms` VALUES ('12', '4', '12');

-- ----------------------------
-- Table structure for t_user
-- ----------------------------
DROP TABLE IF EXISTS `t_user`;
CREATE TABLE `t_user` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `username` varchar(40) DEFAULT NULL,
  `password` varchar(40) DEFAULT NULL,
  `salt` varchar(255) DEFAULT NULL,
  `remark` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_user
-- ----------------------------
INSERT INTO `t_user` VALUES ('2', 'giaoge', '0ae8a3afcf827511169db374c489b09d', 'aqwe23f./?,', '明文密码：123');
INSERT INTO `t_user` VALUES ('3', 'zhangsan', 'a6baa903509239caba4a3f68a6d21730', '244ggf.sa}:>', '明文密码：321');
INSERT INTO `t_user` VALUES ('4', 'lisi', '44c0732dc49ca00c34a0387ce8201afd', '747474', '铭文密码：123456');

-- ----------------------------
-- Table structure for t_user_role
-- ----------------------------
DROP TABLE IF EXISTS `t_user_role`;
CREATE TABLE `t_user_role` (
  `id` int(6) NOT NULL,
  `userid` int(6) DEFAULT NULL,
  `roleid` int(6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_user_role
-- ----------------------------
INSERT INTO `t_user_role` VALUES ('1', '2', '2');
INSERT INTO `t_user_role` VALUES ('2', '2', '3');
INSERT INTO `t_user_role` VALUES ('3', '2', '4');
INSERT INTO `t_user_role` VALUES ('4', '3', '3');
INSERT INTO `t_user_role` VALUES ('5', '4', '4');
