package com.shirodemo.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 页面跳转的Controller
 */
@Controller
public class PageController {

    // 到达登录页面
    @GetMapping("/login.html")
    public String loginPage() {
        return "login";
    }

    // 到达权限不足页面
    @GetMapping("/permissionRefuse.html")
    public String refusePage(){
        return "permissionRefuse";
    }
}